@echo off

::  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
:: Master-Script starten
::
:: start /MIN m:\Autoit\Messwerte.exe												; ohne Parameter starten
:: start /MIN m:\Autoit\Messwerte.exe "123,12" "225,14" "343,23" "559,11" "163,47"	; mit Messwerten
start /MIN m:\Autoit\Messwerte.exe
::  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

:: start /MIN m:\Autoit\Messwerte.exe /ClearMemo									; Memo leeren

::  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
:: Messwerte senden oder nur Memo leeren
::
:: Usage: SendToNamedPipe /ClearMemo | <Timeout in Sekunden> <Messwertcounter> "<Messwert 1>"[ "<Messwert n>"]
::  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

:: Messdaten werden ausgewertet, weil der Timer (in der Demo auf 10 Sekunden gesetzt) im Limit ist.
call :SendNamedPipe 2 1 "123,12" & REM "225,14" "343,23" "559,11" "163,47"
call :SendNamedPipe 2 2 "127,42" & REM "521,52" "433,43" "649,24" "273,79"
call :SendNamedPipe 2 3 "133,32" & REM "289,81" "873,73" "829,67" "383,35"
call :SendNamedPipe 1 4 "111,52" & REM "623,91" "393,93" "189,79" "493,23"
call :SendNamedPipe 1 5 "433,88" & REM "126,28" "113,13" "229,81" "513,71"
TimeOut /T 5

:: Memo leeren
:: start /MIN m:\Autoit\Messwerte.exe /ClearMemo
call :SendNamedPipe /ClearMemo
echo.

:: Messdaten werden nicht ausgewertet, weil die Messwerte 4/5 erst nach Ablauf des Timers gesendet wurden.
call :SendNamedPipe 3 1 "11,04" "12,15" "13,77" & REM "14,27" "15,11"
call :SendNamedPipe 3 2 "12,03" "13,26" "14,21" & REM "15,06" "16,29"
call :SendNamedPipe 3 3 "13,08" "14,36" "15,56" & REM "16,66" "17,56"
call :SendNamedPipe 3 4 "14,01" "15,59" "16,34" & REM "17,52" "18,79"
TimeOut /T 5
echo.

:: Messdaten werden ausgewertet, weil ...
call :SendNamedPipe 2 1 "6123,12" "6225,14" "6343,23" "6559,11" "6163,47" "5123,43"
call :SendNamedPipe 2 2 "6127,42" "6521,52" "6433,43" "6649,24" "6273,79" "5127,23"
call :SendNamedPipe 2 3 "6133,32" "6289,81" "6873,73" "6829,67" "6383,35" "5133,13"
call :SendNamedPipe 1 4 "6111,52" "6623,91" "6393,93" "6189,79" "6493,23" "5111,13"
call :SendNamedPipe 1 5 "6433,88" "6126,28" "6113,13" "6229,81" "6513,71" "5433,83"

echo.
echo Ende der Demo...
goto :eof

:SendNamedPipe
if "%2" EQU "" (
	start /MIN m:\Autoit\Messwerte.exe %1
	goto :eof
)
TimeOut >nul /T %1
echo Sende Messwerte %2/5: %3 %4 %5 %6 %7
start /MIN m:\Autoit\Messwerte.exe %3 %4 %5 %6 %7
goto :eof
